Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf.parser
Class Matrix

    java.lang.Object
      com.lowagie.text.pdf.parser.Matrix

    public class Matrix

extends Object

Keeps all the values of a 3 by 3 matrix and allows you to do some math with matrices.

Since:
  2.1.4

Field Summary
`static int` | `I11` the row=1, col=1 position ('a') in the matrix.
`static int` | `I12` the row=1, col=2 position ('b') in the matrix.
`static int` | `I13` the row=1, col=3 position (always 0 for 2-D) in the matrix.
`static int` | `I21` the row=2, col=1 position ('c') in the matrix.
`static int` | `I22` the row=2, col=2 position ('d') in the matrix.
`static int` | `I23` the row=2, col=3 position (always 0 for 2-D) in the matrix.
`static int` | `I31` the row=3, col=1 ('e', or X translation) position in the matrix.
`static int` | `I32` the row=3, col=2 ('f', or Y translation) position in the matrix.
`static int` | `I33` the row=3, col=3 position (always 1 for 2-D) in the matrix.
`private float[]` | `vals` the values inside the matrix (the identity matrix by default).

Constructor Summary
`Matrix()` constructs a new Matrix with identity.
`Matrix(float tx, float ty)` Constructs a matrix that represents translation
`Matrix(float a, float b, float c, float d, float e, float f)` Creates a Matrix with 6 specified entries

Method Summary
`boolean` | `equals(Object obj)` Checks equality of matrices.
`float` | `get(int index)` Gets a specific value inside the matrix.
`int` | `hashCode()` Generates a hash code for this object.
`Matrix` | `multiply(Matrix by)` multiplies this matrix by 'b' and returns the result See http://en.wikipedia.org/wiki/Matrix_multiplication
`Matrix` | `subtract(Matrix arg)` Subtracts a matrix from this matrix and returns the results
`String` | `toString()` Generates a String representation of the matrix.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### I11

    public static final int I11

  the row=1, col=1 position ('a') in the matrix.

  See Also:
    Constant Field Values

### I12

    public static final int I12

  the row=1, col=2 position ('b') in the matrix.

  See Also:
    Constant Field Values

### I13

    public static final int I13

  the row=1, col=3 position (always 0 for 2-D) in the matrix.

  See Also:
    Constant Field Values

### I21

    public static final int I21

  the row=2, col=1 position ('c') in the matrix.

  See Also:
    Constant Field Values

### I22

    public static final int I22

  the row=2, col=2 position ('d') in the matrix.

  See Also:
    Constant Field Values

### I23

    public static final int I23

  the row=2, col=3 position (always 0 for 2-D) in the matrix.

  See Also:
    Constant Field Values

### I31

    public static final int I31

  the row=3, col=1 ('e', or X translation) position in the matrix.

  See Also:
    Constant Field Values

### I32

    public static final int I32

  the row=3, col=2 ('f', or Y translation) position in the matrix.

  See Also:
    Constant Field Values

### I33

    public static final int I33

  the row=3, col=3 position (always 1 for 2-D) in the matrix.

  See Also:
    Constant Field Values

### vals

    private final float[] vals

  the values inside the matrix (the identity matrix by default).

Constructor Detail

### Matrix

    public Matrix()

  constructs a new Matrix with identity.

### Matrix

    public Matrix(float tx,
                  float ty)

  Constructs a matrix that represents translation

  Parameters:
    `tx` -
    `ty` -

### Matrix

    public Matrix(float a,
                  float b,
                  float c,
                  float d,
                  float e,
                  float f)

  Creates a Matrix with 6 specified entries

  Parameters:
    `a` -
    `b` -
    `c` -
    `d` -
    `e` -
    `f` -

Method Detail

### get

    public float get(int index)

  Gets a specific value inside the matrix.

  Parameters:
    `index` - an array index corresponding with a value inside the matrix
  Returns:
    the value at that specific position.

### multiply

    public Matrix multiply(Matrix by)

  multiplies this matrix by 'b' and returns the result See http://en.wikipedia.org/wiki/Matrix_multiplication

  Parameters:
    `by` - The matrix to multiply by
  Returns:
    the resulting matrix

### subtract

    public Matrix subtract(Matrix arg)

  Subtracts a matrix from this matrix and returns the results

  Parameters:
    `arg` - the matrix to subtract from this matrix
  Returns:

### equals

    public boolean equals(Object obj)

  Checks equality of matrices.

  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the other Matrix that needs to be compared with this matrix.
  Returns:
    true if both matrices are equal
  See Also:
    `Object.equals(java.lang.Object)`

### hashCode

    public int hashCode()

  Generates a hash code for this object.

  Overrides:
    `hashCode` in class `Object`
  Returns:
    the hash code of this object
  See Also:
    `Object.hashCode()`

### toString

    public String toString()

  Generates a String representation of the matrix.

  Overrides:
    `toString` in class `Object`
  Returns:
    the values, delimited with tabs and newlines.
  See Also:
    `Object.toString()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hosted by Hostbasket
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD